0 Пользователей и 1 Гость просматривают эту тему.
  • 19 Ответов
  • 5982 Просмотров
*

ColdRaven

  • Осваиваюсь на форуме
  • 40
  • 0 / 0
  • Let's Rock!!))
Здрасти!

С joomlaportal скачать Joomla 3.0.1.
На 4 шаге прогрессбар какое-то время дергается напротив строчки "Создание таблиц баз данных" и потом кидает меня на 3 шаг.

В php.ini я написал max_execution_time = 900, как это здесь рекомендовалось - не помогло.

Полез смотреть логи апача, там написано вот что:

[Mon Mar 04 15:57:25.880540 2013] [:error] [pid 2192:tid 1048] [client 127.0.0.1:5280] PHP Warning:  simplexml_load_file() [<a href='function.simplexml-load-file'>function.simplexml-load-file</a>]: I/O warning : failed to load external entity &quot;file:///C:/Apache24/htdocs/templates/atomic/templateDetails.xml&quot; in C:\\Apache24\\htdocs\\libraries\\joomla\\installer\\installer.php on line 1891, referer: http://localhost/installation/index.php
[Mon Mar 04 15:57:25.880540 2013] [:error] [pid 2192:tid 1048] [client 127.0.0.1:5280] PHP Warning:  simplexml_load_file() [<a href='function.simplexml-load-file'>function.simplexml-load-file</a>]: I/O warning : failed to load external entity &quot;file:///C:/Apache24/htdocs/templates/atomic/templateDetails.xml&quot; in C:\\Apache24\\htdocs\\libraries\\joomla\\installer\\installer.php on line 2100, referer: http://localhost/installation/index.php
[Mon Mar 04 15:57:27.797650 2013] [:error] [pid 2192:tid 1048] [client 127.0.0.1:5280] PHP Warning:  simplexml_load_file() [<a href='function.simplexml-load-file'>function.simplexml-load-file</a>]: I/O warning : failed to load external entity &quot;file:///C:/Apache24/htdocs/administrator/manifests/packages/pkg_joomla.xml&quot; in C:\\Apache24\\htdocs\\libraries\\joomla\\installer\\installer.php on line 1891, referer: http://localhost/installation/index.php
[Mon Mar 04 15:57:27.797650 2013] [:error] [pid 2192:tid 1048] [client 127.0.0.1:5280] PHP Warning:  simplexml_load_file() [<a href='function.simplexml-load-file'>function.simplexml-load-file</a>]: I/O warning : failed to load external entity &quot;file:///C:/Apache24/htdocs/administrator/manifests/packages/pkg_joomla.xml&quot; in C:\\Apache24\\htdocs\\libraries\\joomla\\installer\\installer.php on line 2100, referer: http://localhost/installation/index.php

По поводу XML в параметрах все нормально:



Подскажите, в чем дело?
« Последнее редактирование: 05.03.2013, 15:58:49 от b2z »
Не умеешь бегать - учись огребать))
*

b2z

  • Глобальный модератор
  • 6941
  • 754 / 0
  • Разраблю понемногу
Re: Не могу установить Joomla
« Ответ #1 : 04.03.2013, 16:49:32 »
Зачем качать старую версию? Скачайте версию 3.0.3 с Joomla.org. В конце установки загрузите дополнительно русский языковой пакет.
*

ColdRaven

  • Осваиваюсь на форуме
  • 40
  • 0 / 0
  • Let's Rock!!))
Re: Не могу установить Joomla
« Ответ #2 : 04.03.2013, 16:51:10 »
Качал, устанавливал - та же проблема возникает
Не умеешь бегать - учись огребать))
*

ColdRaven

  • Осваиваюсь на форуме
  • 40
  • 0 / 0
  • Let's Rock!!))
Re: Не могу установить Joomla
« Ответ #4 : 05.03.2013, 09:20:24 »
Да, ошибка та же и на том же файле.
Не умеешь бегать - учись огребать))
*

ColdRaven

  • Осваиваюсь на форуме
  • 40
  • 0 / 0
  • Let's Rock!!))
Re: Не могу установить Joomla
« Ответ #6 : 05.03.2013, 11:31:54 »
Как оказалось, проблема не совсем не в Joomla.
Сравнил с 2.5.6 и 2.5.8 - там файлы
/templates/atomic/templateDetails.xml и administrator/manifests/packages/pkg_joomla.xml есть, в 3.0.1 и 3.0.3 их нет.
Раньше не допер проверить их наличие.
Спасибо.
Не умеешь бегать - учись огребать))
*

ColdRaven

  • Осваиваюсь на форуме
  • 40
  • 0 / 0
  • Let's Rock!!))
Re: Не могу установить Joomla
« Ответ #8 : 05.03.2013, 12:08:59 »
В архиве, который скачивал их нет...
Щас 2.5.8 (где они есть) установил, пока вроде нормально все.
Может в третьей они динамически создаются в процессе установки?
Не умеешь бегать - учись огребать))
*

SK

  • Живу я здесь
  • 2126
  • 161 / 0
Re: Не могу установить Joomla
« Ответ #9 : 05.03.2013, 12:23:58 »
Так ведь в Joomla 3.0 не может быть этого файла /templates/atomic/templateDetails.xml, т.к. в дистрибутиве нет такого шаблона, как atomic
Есть только 2 шаблона beez3 и protostar
*

ColdRaven

  • Осваиваюсь на форуме
  • 40
  • 0 / 0
  • Let's Rock!!))
Re: Не могу установить Joomla
« Ответ #10 : 05.03.2013, 12:26:27 »
Но при установке (если кто не заметил, я ставлю на mssql, а не на mysql) она все равно пытается подцепить атомик.
Не умеешь бегать - учись огребать))
*

b2z

  • Глобальный модератор
  • 6941
  • 754 / 0
  • Разраблю понемногу
Re: Не могу установить Joomla
« Ответ #11 : 05.03.2013, 12:34:45 »
Может в третьей они динамически создаются в процессе установки?
Хмм, нашел похожую проблему на трекере:
http://joomlacode.org/gf/project/joomla/tracker/?action=TrackerItemEdit&tracker_item_id=29372

Судя по переписке, непонятно где проблема... Может вот такое поможет:
Цитировать
DOMDocument::load() requires allow_url_fopen to be true.

Check your php.ini-settings and switch it to 1
*

b2z

  • Глобальный модератор
  • 6941
  • 754 / 0
  • Разраблю понемногу
Re: Не могу установить Joomla
« Ответ #12 : 05.03.2013, 12:37:09 »
Так ведь в Joomla 3.0 не может быть этого файла /templates/atomic/templateDetails.xml, т.к. в дистрибутиве нет такого шаблона, как atomic
Есть только 2 шаблона beez3 и protostar
Но при установке (если кто не заметил, я ставлю на mssql, а не на mysql) она все равно пытается подцепить атомик.
Это вообще странно. Хочется разобраться, что тут за чудеса.
*

ColdRaven

  • Осваиваюсь на форуме
  • 40
  • 0 / 0
  • Let's Rock!!))
Re: Не могу установить Joomla
« Ответ #13 : 05.03.2013, 12:39:34 »
Хмм, нашел похожую проблему на трекере:
http://joomlacode.org/gf/project/joomla/tracker/?action=TrackerItemEdit&tracker_item_id=29372

Судя по переписке, непонятно где проблема... Может вот такое поможет:


Пробовал - не помогло.
Не умеешь бегать - учись огребать))
*

ColdRaven

  • Осваиваюсь на форуме
  • 40
  • 0 / 0
  • Let's Rock!!))
Re: Не могу установить Joomla
« Ответ #14 : 05.03.2013, 12:40:10 »
Это вообще странно. Хочется разобраться, что тут за чудеса.

Щас попробовал 3.0.3 на MySQL поставить - все нормально встало, при установке на mssql обращается к атомику.
Не умеешь бегать - учись огребать))
*

SK

  • Живу я здесь
  • 2126
  • 161 / 0
Re: Не могу установить Joomla
« Ответ #15 : 05.03.2013, 12:47:41 »
Щас попробовал 3.0.3 на MySQL поставить - все нормально встало, при установке на mssql обращается к атомику.
Весело!
На мой взгляд, все-таки рановато версию 3.0 рабочей объявили.
*

b2z

  • Глобальный модератор
  • 6941
  • 754 / 0
  • Разраблю понемногу
*

ColdRaven

  • Осваиваюсь на форуме
  • 40
  • 0 / 0
  • Let's Rock!!))
Я с mssql не работал... Да, все таки есть еще ошибки. Это бы в багтрекере оформить...
Эм...куда и что написать?
Не умеешь бегать - учись огребать))
*

d8m1k

  • Новичок
  • 1
  • 0 / 0
Тоже боролся с аналогичной ситуацией при установке Joomla 3.1.5- зависанием на 3-ем шаге установки

Параметры системы такие:
Спойлер
[свернуть]

в логе апачи такое исключение
[Sat Aug 03 00:14:30.960889 2013] [:error] [pid 11600:tid 1144] [client ::1:7420] PHP RuntimeException:   SQL= in C:\\_directprovider.ru\\z3\\libraries\\joomla\\database\\driver\\mysqli.php on line 576,
Спойлер
[свернуть]
Закомментировал строчку 576 в libraries\joomla\database\driver\mysqli.php, успешно прошёл 3-ий шаг, после чего опять раскомментировал! вот такие дела... может кому то тоже поможет.
Чтобы оставить сообщение,
Вам необходимо Войти или Зарегистрироваться
 

JL No Doubles дает циклический редирект после обновления до Joomla 3.8.7

Автор kik84

Ответов: 2
Просмотров: 86
Последний ответ 22.04.2018, 12:56:45
от kik84
Вышло обновление Joomla! до 3.8.7

Автор Raven23

Ответов: 42
Просмотров: 1193
Последний ответ 20.04.2018, 18:17:26
от Efanych
Не отображаются настройки модулей Joomla 3.6.5

Автор AnatolyS

Ответов: 0
Просмотров: 37
Последний ответ 20.04.2018, 00:58:12
от AnatolyS
Вышел релиз Joomla! 3.6.3

Автор b2z

Ответов: 136
Просмотров: 11277
Последний ответ 19.04.2018, 14:53:59
от dmitry_stas
Вышло обновление Joomla! до 3.8.6

Автор Olg

Ответов: 26
Просмотров: 4121
Последний ответ 18.04.2018, 19:20:46
от zikkuratvk